Subject: Re: bug#18815: 25.0.50; emacs crash

From: Eli Zaretskii <[email-masked]>
Date: Fri, 24 Oct 2014 16:21:33 +0300

> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> > From: Yagnesh Raghava Yakkala <[email-masked]>
> > Date: Fri, 24 Oct 2014 20:41:20 +0900
> > 
> > I see frequent crashes with latest emacs. gdb backtrace is attached.
> 
> Thanks, but I need a reproducible test case to debug this.
> 
> It seems to abort while displaying the mode line, so perhaps you have
> some special setup of the mode line which triggers the bug.

Actually, I've just spotted and fixed a thinko in bidi.c, so please
try the latest trunk.  If the problem still persists, please tell what
is your mode-line-format at the moment of the assertion violation.

Thanks.